ABIFChromatogram.Parser (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.abi.ABIFChromatogram.Parser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.abi
Class ABIFChromatogram.Parser

    java.lang.Object
      org.biojava.bio.program.abi.ABIFParser
          org.biojava.bio.program.abi.ABIFChromatogram.Parser

Enclosing class:
  ABIFChromatogram

    protected class ABIFChromatogram.Parser

extends ABIFParser

An extension of `ABIFParser` that reads the particular fields from the ABIF that contain the chromatogram data and initializes the fields in its enclosing `ABIFChromatogram` instance.

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.bio.program.abi.ABIFParser
`ABIFParser.DataAccess, ABIFParser.TaggedDataRecord`

Constructor Summary
`ABIFChromatogram.Parser(File f)`
`ABIFChromatogram.Parser(InputStream in)`

Method Summary

Methods inherited from class org.biojava.bio.program.abi.ABIFParser
`decodeDNAToken, getDataAccess, getDataRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABIFChromatogram.Parser

    public ABIFChromatogram.Parser(InputStream in)
                            throws IOException,
                                   UnsupportedChromatogramFormatException

Throws:
  `IOException`
  `UnsupportedChromatogramFormatException`

### ABIFChromatogram.Parser

    public ABIFChromatogram.Parser(File f)
                            throws IOException,
                                   UnsupportedChromatogramFormatException

Throws:
  `IOException`
  `UnsupportedChromatogramFormatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD